<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>Nutch (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Nutch (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Nutch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/Nutch.html" target="_top">Frames</a></li>
<li><a href="Nutch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.metadata</div>
<h2 title="Interface Nutch" class="title">Interface Nutch</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>, <a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html" title="class in org.apache.nutch.metadata">SpellCheckedMetadata</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Nutch</span></pre>
<div class="block">A collection of Nutch internal metadata constants.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Chris Mattmann, J&eacute;r&ocirc;me Charron</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_CRAWLDB">ARG_CRAWLDB</a></span></code>
<div class="block">Argument key to specify the location of crawldb for the REST endpoints</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_HOSTDB">ARG_HOSTDB</a></span></code>
<div class="block">Argument key to specify the location of hostdb for the REST endpoints</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_LINKDB">ARG_LINKDB</a></span></code>
<div class="block">Argument key to specify the location of linkdb for the REST endpoints</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEEDDIR">ARG_SEEDDIR</a></span></code>
<div class="block">Argument key to specify location of the seed url dir for the REST endpoints</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEEDNAME">ARG_SEEDNAME</a></span></code>
<div class="block">Argument key to specify name of a seed list for the REST endpoints</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEGMENTDIR">ARG_SEGMENTDIR</a></span></code>
<div class="block">Argument key to specify the location of a directory of segments for the REST endpoints.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ARG_SEGMENTS">ARG_SEGMENTS</a></span></code>
<div class="block">Argument key to specify the location of individual segment or list of segments for the REST endpoints.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_ALL">CACHING_FORBIDDEN_ALL</a></span></code>
<div class="block">Don't show either original forbidden content or summaries.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_CONTENT">CACHING_FORBIDDEN_CONTENT</a></span></code>
<div class="block">Don't show original forbidden content, but show summaries.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_KEY">CACHING_FORBIDDEN_KEY</a></span></code>
<div class="block">Sites may request that search engines don't provide access to cached
 documents.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CACHING_FORBIDDEN_NONE">CACHING_FORBIDDEN_NONE</a></span></code>
<div class="block">Show both original forbidden content and summaries (default).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CHAR_ENCODING_FOR_CONVERSION">CHAR_ENCODING_FOR_CONVERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#CRAWL_ID_KEY">CRAWL_ID_KEY</a></span></code>
<div class="block">Used by Nutch REST service</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_CONTENTLANG">FETCH_EVENT_CONTENTLANG</a></span></code>
<div class="block">Content-lanueage key in the Pub/Sub event metadata for the content-language of the parsed page</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_CONTENTTYPE">FETCH_EVENT_CONTENTTYPE</a></span></code>
<div class="block">Content-type key in the Pub/Sub event metadata for the content-type of the parsed page</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_FETCHTIME">FETCH_EVENT_FETCHTIME</a></span></code>
<div class="block">Fetch time key in the Pub/Sub event metadata for the fetch time of the parsed page</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_SCORE">FETCH_EVENT_SCORE</a></span></code>
<div class="block">Score key in the Pub/Sub event metadata for the score of the parsed page</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_EVENT_TITLE">FETCH_EVENT_TITLE</a></span></code>
<div class="block">Title key in the Pub/Sub event metadata for the title of the parsed page</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_STATUS_KEY">FETCH_STATUS_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FETCH_TIME_KEY">FETCH_TIME_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#FIXED_INTERVAL_KEY">FIXED_INTERVAL_KEY</a></span></code>
<div class="block">Used by AdaptiveFetchSchedule to maintain custom fetch interval</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#GENERATE_TIME_KEY">GENERATE_TIME_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ORIGINAL_CHAR_ENCODING">ORIGINAL_CHAR_ENCODING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#PROTO_STATUS_KEY">PROTO_STATUS_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#PROTOCOL_STATUS_CODE_KEY">PROTOCOL_STATUS_CODE_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#REPR_URL_KEY">REPR_URL_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#ROBOTS_METATAG">ROBOTS_METATAG</a></span></code>
<div class="block">Name to store the <a href="https://www.robotstxt.org/meta.html">robots
 metatag</a> in <a href="../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse"><code>ParseData</code></a>'s metadata.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#SCORE_KEY">SCORE_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#SEGMENT_NAME_KEY">SEGMENT_NAME_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#SIGNATURE_KEY">SIGNATURE_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#STAT_PROGRESS">STAT_PROGRESS</a></span></code>
<div class="block">For progress of job.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#VAL_RESULT">VAL_RESULT</a></span></code>
<div class="block">Name of the key used in the Result Map sent back by the REST endpoint</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_FIXED_INTERVAL_KEY">WRITABLE_FIXED_INTERVAL_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_GENERATE_TIME_KEY">WRITABLE_GENERATE_TIME_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_PROTO_STATUS_KEY">WRITABLE_PROTO_STATUS_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/Nutch.html#WRITABLE_REPR_URL_KEY">WRITABLE_REPR_URL_KEY</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ORIGINAL_CHAR_ENCODING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ORIGINAL_CHAR_ENCODING</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ORIGINAL_CHAR_ENCODING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ORIGINAL_CHAR_ENCODING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHAR_ENCODING_FOR_CONVERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHAR_ENCODING_FOR_CONVERSION</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CHAR_ENCODING_FOR_CONVERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CHAR_ENCODING_FOR_CONVERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SIGNATURE_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SIGNATURE_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SIGNATURE_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.SIGNATURE_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SEGMENT_NAME_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEGMENT_NAME_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SEGMENT_NAME_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.SEGMENT_NAME_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SCORE_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SCORE_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SCORE_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.SCORE_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GENERATE_TIME_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERATE_TIME_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GENERATE_TIME_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.GENERATE_TIME_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITABLE_GENERATE_TIME_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITABLE_GENERATE_TIME_KEY</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> WRITABLE_GENERATE_TIME_KEY</pre>
</li>
</ul>
<a name="PROTOCOL_STATUS_CODE_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTOCOL_STATUS_CODE_KEY</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> PROTOCOL_STATUS_CODE_KEY</pre>
</li>
</ul>
<a name="PROTO_STATUS_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTO_STATUS_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PROTO_STATUS_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.PROTO_STATUS_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITABLE_PROTO_STATUS_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITABLE_PROTO_STATUS_KEY</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> WRITABLE_PROTO_STATUS_KEY</pre>
</li>
</ul>
<a name="FETCH_TIME_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_TIME_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_TIME_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_TIME_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_STATUS_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_STATUS_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_STATUS_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_STATUS_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ROBOTS_METATAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROBOTS_METATAG</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ROBOTS_METATAG</pre>
<div class="block">Name to store the <a href="https://www.robotstxt.org/meta.html">robots
 metatag</a> in <a href="../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse"><code>ParseData</code></a>'s metadata.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ROBOTS_METATAG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CACHING_FORBIDDEN_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHING_FORBIDDEN_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CACHING_FORBIDDEN_KEY</pre>
<div class="block">Sites may request that search engines don't provide access to cached
 documents.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CACHING_FORBIDDEN_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CACHING_FORBIDDEN_NONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHING_FORBIDDEN_NONE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CACHING_FORBIDDEN_NONE</pre>
<div class="block">Show both original forbidden content and summaries (default).</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CACHING_FORBIDDEN_NONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CACHING_FORBIDDEN_ALL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHING_FORBIDDEN_ALL</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CACHING_FORBIDDEN_ALL</pre>
<div class="block">Don't show either original forbidden content or summaries.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CACHING_FORBIDDEN_ALL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CACHING_FORBIDDEN_CONTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHING_FORBIDDEN_CONTENT</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CACHING_FORBIDDEN_CONTENT</pre>
<div class="block">Don't show original forbidden content, but show summaries.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CACHING_FORBIDDEN_CONTENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPR_URL_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPR_URL_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> REPR_URL_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.REPR_URL_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITABLE_REPR_URL_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITABLE_REPR_URL_KEY</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> WRITABLE_REPR_URL_KEY</pre>
</li>
</ul>
<a name="FIXED_INTERVAL_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FIXED_INTERVAL_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FIXED_INTERVAL_KEY</pre>
<div class="block">Used by AdaptiveFetchSchedule to maintain custom fetch interval</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FIXED_INTERVAL_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITABLE_FIXED_INTERVAL_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITABLE_FIXED_INTERVAL_KEY</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> WRITABLE_FIXED_INTERVAL_KEY</pre>
</li>
</ul>
<a name="STAT_PROGRESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STAT_PROGRESS</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> STAT_PROGRESS</pre>
<div class="block">For progress of job. Used by the Nutch REST service</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.STAT_PROGRESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CRAWL_ID_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CRAWL_ID_KEY</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CRAWL_ID_KEY</pre>
<div class="block">Used by Nutch REST service</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.CRAWL_ID_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_SEEDDIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_SEEDDIR</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_SEEDDIR</pre>
<div class="block">Argument key to specify location of the seed url dir for the REST endpoints</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_SEEDDIR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_SEEDNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_SEEDNAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_SEEDNAME</pre>
<div class="block">Argument key to specify name of a seed list for the REST endpoints</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_SEEDNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_CRAWLDB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_CRAWLDB</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_CRAWLDB</pre>
<div class="block">Argument key to specify the location of crawldb for the REST endpoints</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_CRAWLDB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_LINKDB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_LINKDB</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_LINKDB</pre>
<div class="block">Argument key to specify the location of linkdb for the REST endpoints</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_LINKDB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VAL_RESULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VAL_RESULT</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> VAL_RESULT</pre>
<div class="block">Name of the key used in the Result Map sent back by the REST endpoint</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.VAL_RESULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_SEGMENTDIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_SEGMENTDIR</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_SEGMENTDIR</pre>
<div class="block">Argument key to specify the location of a directory of segments for the REST endpoints.
 Similar to the -dir command in the bin/nutch script</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_SEGMENTDIR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_SEGMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_SEGMENTS</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_SEGMENTS</pre>
<div class="block">Argument key to specify the location of individual segment or list of segments for the REST endpoints. The behavior differs for diffirent endpoints: CrawlDb, LinkDb and Indexing Jobs take list of segments, Fetcher and Parse segment take one segment</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_SEGMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARG_HOSTDB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARG_HOSTDB</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARG_HOSTDB</pre>
<div class="block">Argument key to specify the location of hostdb for the REST endpoints</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.ARG_HOSTDB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_EVENT_TITLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_EVENT_TITLE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_EVENT_TITLE</pre>
<div class="block">Title key in the Pub/Sub event metadata for the title of the parsed page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_EVENT_TITLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_EVENT_CONTENTTYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_EVENT_CONTENTTYPE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_EVENT_CONTENTTYPE</pre>
<div class="block">Content-type key in the Pub/Sub event metadata for the content-type of the parsed page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_EVENT_CONTENTTYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_EVENT_SCORE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_EVENT_SCORE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_EVENT_SCORE</pre>
<div class="block">Score key in the Pub/Sub event metadata for the score of the parsed page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_EVENT_SCORE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_EVENT_FETCHTIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_EVENT_FETCHTIME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_EVENT_FETCHTIME</pre>
<div class="block">Fetch time key in the Pub/Sub event metadata for the fetch time of the parsed page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_EVENT_FETCHTIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_EVENT_CONTENTLANG">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FETCH_EVENT_CONTENTLANG</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_EVENT_CONTENTLANG</pre>
<div class="block">Content-lanueage key in the Pub/Sub event metadata for the content-language of the parsed page</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.Nutch.FETCH_EVENT_CONTENTLANG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Nutch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/Nutch.html" target="_top">Frames</a></li>
<li><a href="Nutch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
